Bug 859669 - Samsung ML-2525W b&w laserjet will not print using the driver provided by fedora or the driver provided by Samsung
Samsung ML-2525W b&w laserjet will not print using the driver provided by fed...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: splix (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-22 23:58 EDT by John Duchek
Modified: 2012-09-25 06:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 06:12:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Duchek 2012-09-22 23:58:41 EDT
Description of problem:Samsung ML-2525W b&w laserjet will not work with Fedora 17


Version-Release number of selected component (if applicable):


How reproducible:Irritatingly so (all the time)


Steps to Reproduce:
1.Install printer using either driver included with Fedora or driver from Samsung

2. Printer installs and displays in printing window ok (for either driver in #1).  When a test print is run, it claims an error and the print is stopped.  Printer blinks a couple of times but does not print.

3. If a self print test is chosen, the printer puts out a piece of paper saying "If you can read this, you are using the wrong driver".
  
Actual results: Print spooler stop printer and displays that an error occurred, but no error info is given.  


Expected results:
Printer to print the test print and other documents.

Additional info:  This is a dual boot computer and the printer is working correctly under windows 7.
Comment 1 John Duchek 2012-09-23 19:28:08 EDT
Error message says it cannot run /usr/lib/cups/filter/rastertosamsungspl
Comment 2 John Duchek 2012-09-23 19:29:36 EDT
scratch that:   it is /usr/lib64/cups/filter/rastertosamsungspl
Comment 3 John Duchek 2012-09-23 22:22:08 EDT
I used samsung 'Configurator' from a text screen.  It said it installed correctly.  However I got the following error messages during the installation

[root@Carrizozo-John bin]# ./Configurator 

(process:2371): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

(process:2371): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

(process:2371): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
libpng warning: Application was compiled with png.h from libpng-1.5.10
libpng warning: Application  is  running with png.c from libpng-1.2.49
libpng error: Incompatible libpng version in application and library
libpng warning: Application was compiled with png.h from libpng-1.5.10
libpng warning: Application  is  running with png.c from libpng-1.2.49
libpng error: Incompatible libpng version in application and library
[root@Carrizozo-John bin]#
Comment 4 Jiri Popelka 2012-09-24 06:41:46 EDT
Please attach an output from printing troubleshooter while using the Fedora provided driver (SpliX).
https://fedoraproject.org/wiki/Printing/Debugging#Printing_troubleshooter

also an output of "lpinfo -l -v" would be useful.
Comment 5 John Duchek 2012-09-24 09:47:59 EDT
I will get back with the printing troubleshooter later today.  As for now this looks promising.

lpinfo -l -v

gave me
lpinfo: Forbidden

John
Comment 6 Jiri Popelka 2012-09-24 09:55:40 EDT
(In reply to comment #5)
> lpinfo -l -v
> gave me
> lpinfo: Forbidden

run it as superuser (root)
Comment 7 John Duchek 2012-09-24 10:10:56 EDT
I get what you are saying, but am running into difficulties.  I uninstalled the drivers provided by Samsung and now the computer cannot find the Samsung driver.
I removed and reinstalled cups and rebooted assuming it would re write the driver database but it did not so I still don't have the Samsung driver in the database  (in fact only about 4 or 5 companies are listed when it used to list many more)

Since it no longer was auto giving me the samsung driver, I told it as john(the administrator who has been installing everything for months) to install a generic laserjet.  It did, and that works ok.  (so no permission problem there) Unfortunately I am missing a few features.   Can you give me a hint how to get the printer database back on line so I can try installing as root?

Thanks,
John
Comment 8 Jiri Popelka 2012-09-24 12:18:48 EDT
Ok, lets take it from start. According to the specs [1] this printer knows only
SPL [2] language. The only package that provides drivers for SPL printers is SpliX [3]. So
- install the splix package
- start system-config-printer
- add a printer queue using 'Samsung ML-2525W, 2.0.0 [en]' driver
- in the system-config-printer go to Help->Troubleshoot and follow the instructions. You'll end up with a troubleshoot.txt file which you'll attach to this bug report.
- we need to see the output of: su -c "lpinfo -l -v" which will tell us the id of the device. We need it to fix the driver-auto-selection-and-installation mechanism so next time it will automatically install splix and select the splix driver for this printer.

[1] http://www.samsung.com/us/computer/printers/ML-2525W/XAA-specs
[2] http://www.undocprint.org/formats/page_description_languages/spl
[3] http://splix.ap2c.org/
Comment 9 John Duchek 2012-09-24 13:22:11 EDT
splix was installed before I removed the samsung drivers.  It was no longer installed, and I reinstalled it.  I then ran system-config-printer as John the administrator.  It asked for johns password and then installed the ML-2525W driver.  It said it was installed and I asked it to do a test page (this is where it failed before).   It asked me for root's password (never did that before--it just gave an error and stopped the printer). After I gave it the root password it successfully printed the test page (never did that before either).  It now is working.  

[john@Carrizozo-John ~]$ su -c "lpinfo -l -v"
Password: 
Device: uri = lpd
        class = network
        info = LPD/LPR Host or Printer
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = https
        class = network
        info = Internet Printing Protocol (https)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = ipp
        class = network
        info = Internet Printing Protocol (ipp)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = socket
        class = network
        info = AppSocket/HP JetDirect
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = http
        class = network
        info = Internet Printing Protocol (http)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = serial:/dev/ttyS0?baud=115200
        class = serial
        info = Serial Port #1
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = ipps
        class = network
        info = Internet Printing Protocol (ipps)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = usb://Samsung/ML-2525W%20Series?serial=Z4L0BABB100278D
        class = direct
        info = Samsung ML-2525W Series
        make-and-model = Samsung ML-2525W Series
        device-id = MFG:Samsung;CMD:GDI,FWV,EXT;MDL:ML-2525W Series;CLS:PRINTER;STATUS:BUSY;
        location = 
[john@Carrizozo-John ~]$ 

I don't know what to make of that security issue but the printer is working fine now.
Comment 10 Jiri Popelka 2012-09-25 06:12:21 EDT
I'm glad it works now. Closing.

Note You need to log in before you can comment on or make changes to this bug.